Creates a new job_files by supplying directly the field job_files.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Request Formats :
application/json, text/json
{
"id": "954ff5a7-0a48-4915-a451-dbbbf582fe7c",
"jobs_id": "7f3e0c88-e3fc-4b38-8ef3-e077b05053ae",
"job_approval_id": "faf49a19-18c3-4ce4-9540-b96c2b084a9f",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "be1463d3-f38a-45aa-a72a-234142cca784",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-10-08T16:00:48.3018428+00:00",
"modified_dateutc": "2026-10-08T16:00:48.3018428+00:00",
"user_id": "39a8033f-9b89-49a0-b3fb-26f0e8dbfb30",
"show_on_web": true,
"db_report_id": "e8e3ef0e-b909-4bee-89f6-c187337d2cc6"
}
Response Information
Resource Description :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "208b4840-f580-4d07-b339-9f731ff45179",
"jobs_id": "e93c6798-e0f3-44b3-9765-6f0c4e537b99",
"job_approval_id": "ebd50651-39dc-499b-b5a6-74f5ba3cf373",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "9ba1aebb-a2c0-4a61-a0ba-517d566e8931",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-10-08T16:00:48.3018428+00:00",
"modified_dateutc": "2026-10-08T16:00:48.3018428+00:00",
"user_id": "14c23aeb-5250-4c63-91a9-31786795c2af",
"show_on_web": true,
"db_report_id": "dc740e6f-a882-48ca-96ed-fe6d697e1fe3"
}